<?php
/**
* Header Options.
*
* @package Air Ticket Booking
*/

$air_ticket_booking_default = air_ticket_booking_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'air_ticket_booking_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'air-ticket-booking' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'air_ticket_booking_theme_option_panel',
	)
);

$wp_customize->add_setting( 'air_ticket_booking_header_layout_button_text',
    array(
    'default'           => $air_ticket_booking_default['air_ticket_booking_header_layout_button_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'air_ticket_booking_header_layout_button_text',
    array(
    'label'    => esc_html__( 'Header Button', 'air-ticket-booking' ),
    'section'  => 'air_ticket_booking_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'air_ticket_booking_header_layout_button_url',
    array(
    'default'           => $air_ticket_booking_default['air_ticket_booking_header_layout_button_url'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'air_ticket_booking_header_layout_button_url',
    array(
    'label'    => esc_html__( 'Button Url', 'air-ticket-booking' ),
    'section'  => 'air_ticket_booking_button_header_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting('air_ticket_booking_sticky',
    array(
        'default' => $air_ticket_booking_default['air_ticket_booking_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'air_ticket_booking_sanitize_checkbox',
    )
);
$wp_customize->add_control('air_ticket_booking_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'air-ticket-booking'),
        'section' => 'air_ticket_booking_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('air_ticket_booking_menu_font_size',
    array(
        'default'           => $air_ticket_booking_default['air_ticket_booking_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'air_ticket_booking_sanitize_number_range',
    )
);
$wp_customize->add_control('air_ticket_booking_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'air-ticket-booking'),
        'section'     => 'air_ticket_booking_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'air_ticket_booking_menu_text_transform',
    array(
    'default'           => $air_ticket_booking_default['air_ticket_booking_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'air_ticket_booking_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'air_ticket_booking_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'air-ticket-booking' ),
    'section'     => 'air_ticket_booking_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'air-ticket-booking' ),
        'uppercase'  => esc_html__( 'Uppercase', 'air-ticket-booking' ),
        'lowercase'    => esc_html__( 'Lowercase', 'air-ticket-booking' ),
        ),
    )
);